Package org.eclipse.microprofile.config.tck.converters

## Class UpperCaseDuckConverter

- java.lang.Object
- - org.eclipse.microprofile.config.tck.converters.UpperCaseDuckConverter

All Implemented Interfaces:
  `Serializable`, `Converter<Duck>`

    @Priority(101)
    public class UpperCaseDuckConverter
    extends Object
    implements Converter<Duck>

Always create a duck with an upper case name

Author:
  Jeff Mesnil
See Also:
  Serialized Form

### Constructor Summary

Constructors
`UpperCaseDuckConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Duck` `convert​(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpperCaseDuckConverter

    public UpperCaseDuckConverter()

### Method Detail

#### convert

    public Duck convert​(String value)

Specified by:
  `convert` in interface `Converter<Duck>`